#include <stdio.h>
#include <SupportDefs.h>
#include "ofnfs.h"

int
main(int argc, char **argv)
{
	int err;
	parms_t parms;
	
	if (argc != 3) {
		printf("Not enough arguments : mount_ofnfs <mountpoint> port\n");
		exit(-1);
	}
	
	parms.port = atoi(argv[2]);
	
	// Notice that you're giving the mount call a NULL device.
	err = mount("ofnfs", argv[1], NULL, 0, & parms, sizeof(parms_t));
	if (err != B_OK) {
		printf("Mount failed : %s\n", strerror(err));
		return err;
	} else {
		printf("Succesfully mounted\n");
		return err;
	}
	
	return err;
}